# Created by pyp2rpm-1.1.0b
%global pypi_name osprofiler

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        5%{?dist}
Summary:        OpenStack Profiler Library

License:        ASL 2.0
URL:            http://www.openstack.org/
Source0:        https://pypi.python.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pbr

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr

%description
OSProfiler is an OpenStack cross-project profiling library.

%package -n python2-%{pypi_name}
Summary:    OpenStack Profiler Library

Requires: python-six
Requires: python-webob

%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
OSProfiler is an OpenStack cross-project profiling library.

%package -n python3-%{pypi_name}
Summary:    OpenStack Profiler Library

Requires: python3-six
Requires: python3-webob

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
OSProfiler is an OpenStack cross-project profiling library.

%package doc
Summary:    Documentation for the OpenStack Profiler Library
Group:      Documentation

BuildRequires:  python-sphinx

%description doc
Documentation for the OpenStack Profiler Library


%prep
%setup -q -n %{pypi_name}-%{version}
# Let RPM handle the dependencies
rm -f requirements.txt
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

# generate html docs
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py2_install
%py3_install

%files -n python2-%{pypi_name}
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{_bindir}/osprofiler
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files doc
%doc html
%license LICENSE

%changelog
* Wed Jul 27 2016 Charalampos Stratakis <cstratak@redhat.com> - 0.3.0-5
- Provide a Python 3 subpackage
- Move binary to Python 3 subpackage
- Modernize SPEC

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 25 2014 Alan Pevec <apevec@redhat.com> - 0.3.0-1
- Initial package.
